Welcome to the Dart API reference documentation,
covering the official Dart API libraries.
Some of the most fundamental Dart libraries include:
   
  * [dart:core](./dart_core/index.html):
    Core functionality such as strings, numbers, collections, errors,
    dates, and URIs.
  * [dart:html](./dart_html/index.html):
    DOM manipulation for web apps.
  * [dart:io](./dart_io/index.html):
    I/O for command-line apps.
  
Except for dart:core, you must import a library before you can use it.
Here's an example of importing dart:html, dart:math, and a
third popular library called [polymer.dart](https://www.dartlang.org/polymer-dart/):
  
    import 'dart:html';
    import 'dart:math';
    import 'package:polymer/polymer.dart';
  
Polymer.dart is an example of a library that isn't
included in the Dart download,
but is easy to get and update using the _pub package manager_.
For information on finding, using, and publishing libraries (and more)
with pub, see [pub.dartlang.org](https://pub.dartlang.org).
  
The main site for learning and using Dart is
[www.dartlang.org](https://www.dartlang.org).
Check out these pages:
  
  * [Dart homepage](https://www.dartlang.org)
  * [Tutorials](https://www.dartlang.org/docs/tutorials/)
  * [Programmer's Guide](https://www.dartlang.org/docs/)
  * [Samples](https://www.dartlang.org/samples/)
  * [A Tour of the Dart Libraries](https://www.dartlang.org/docs/dart-up-and-running/contents/ch03.html)
  
This API reference is automatically generated from the source code in the
[Dart project](https://code.google.com/p/dart/).
If you'd like to contribute to this documentation, see
[Contributing](https://code.google.com/p/dart/wiki/Contributing)
and
[Writing API Documentation](https://code.google.com/p/dart/wiki/WritingApiDocumentation).